Index: describe.c
===================================================================
RCS file: /projects/cvsroot/pgsql/src/bin/psql/describe.c,v
retrieving revision 1.166
diff -c -r1.166 describe.c
*** describe.c	30 Mar 2008 18:10:20 -0000	1.166
--- describe.c	11 Apr 2008 04:59:56 -0000
***************
*** 1766,1775 ****
--- 1766,1781 ----
  						  gettext_noop("Table"));
  
  	if (verbose)
+ 	{
  		appendPQExpBuffer(&amp;buf,
  			  ",\n  pg_catalog.obj_description(c.oid, 'pg_class') as \"%s\"",
  						  gettext_noop("Description"));
  
+ 		appendPQExpBuffer(&amp;buf,
+ 			  ",\n  pg_catalog.pg_size_pretty(pg_catalog.pg_relation_size(c.oid)) as \"%s\"",
+ 					  	  gettext_noop("Size"));
+ 	}
+ 	
  	appendPQExpBuffer(&amp;buf,
  					  "\nFROM pg_catalog.pg_class c"
  					"\n     JOIN pg_catalog.pg_roles r ON r.oid = c.relowner"
***************
*** 1809,1816 ****
  	processSQLNamePattern(pset.db, &amp;buf, pattern, true, false,
  						  "n.nspname", "c.relname", NULL,
  						  "pg_catalog.pg_table_is_visible(c.oid)");
! 
! 	appendPQExpBuffer(&amp;buf, "ORDER BY 1,2;");
  
  	res = PSQLexec(buf.data, false);
  	termPQExpBuffer(&amp;buf);
--- 1815,1825 ----
  	processSQLNamePattern(pset.db, &amp;buf, pattern, true, false,
  						  "n.nspname", "c.relname", NULL,
  						  "pg_catalog.pg_table_is_visible(c.oid)");
! 	
! 	if (verbose)
! 		appendPQExpBuffer(&amp;buf, "ORDER BY 1, pg_catalog.pg_relation_size(c.oid) DESC, 2;");
! 	else
! 		appendPQExpBuffer(&amp;buf, "ORDER BY 1,2;");
  
  	res = PSQLexec(buf.data, false);
  	termPQExpBuffer(&amp;buf);
